View Issue Details

IDProjectCategoryView StatusLast Update
0001983XdebugDocumentationpublic2021-08-18 12:20
Reporterrulatir Assigned Toderick  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version3.1dev 
Summary0001983: Please document the trigger-by-cookie protocol in inundating detail
DescriptionCurrently the step debugging documentation says:

> Browser Application #
>
> The recommended way to initiate a debugging session is by configuring your IDE to accept
> incoming debugging connections, and then use a browser extension which sets the right trigger cookie.
> Browser Extension Initiation
>
> The extensions are:
>
> Xdebug Helper for Firefox (source).
> Xdebug Helper for Chrome (source).
> XDebugToggle for Safari (source).
>
> Each extension adds an icon to your browser where you can select which functionality
> you want to trigger. Xdebug will continue to start debugging for every request as long
> as the debug toggle has been enabled.

This is insufficiently informative. I want to possess the knowledge that will enable me to sculpt the triggering cookie by hand and manually add it to a Postman request. I don't want to **need** to use a browser extension to first generate a profiling request from the browser, capture it in devtols, and only then learn in this roundabout way how the cookie(s) should be formed. I would like this to be explicitly documented.
TagsNo tags attached.
Operating System
PHP Version8.0.0-8.0.4

Activities

exussum

2021-06-14 11:19

reporter   ~0005901

This is in the documentation

https://xdebug.org/docs/step_debug#browser_session

TLDR:
add ?XDEBUG_SESSION_START=xdebug as a GET param, and the session will start and the debug cookie will be set for future use

derick

2021-06-17 00:07

administrator   ~0005908

That's already in the docs: https://xdebug.org/docs/step_debug#start_with_request — if that's not enough, or if you're missing things, can you let me know what that is please?

rulatir

2021-06-21 11:57

reporter   ~0005912

The ritual for *summoning* the cookie is documented, but I want still more power: I want to be able to *create* the cookie. I want to be able to type the correct `Cookie:` header by hand, without having to perform the ritual. Use case: synthesizing a request from scratch in Postman. I don't want to have to send a cookieless request first with ?XDEBUG_SESSION_START, then inspect the response for Set-Cookie header, and only then copy the cookie to the request.

derick

2021-08-18 12:20

administrator   ~0005986

Fixed, but there isn't really a lot of "Inundating Detail", but it's not really that hard: https://xdebug.org/docs/step_debug#cookie-init

Issue History

Date Modified Username Field Change
2021-06-11 12:42 rulatir New Issue
2021-06-14 11:19 exussum Note Added: 0005901
2021-06-17 00:07 derick Assigned To => derick
2021-06-17 00:07 derick Status new => feedback
2021-06-17 00:07 derick Note Added: 0005908
2021-06-21 11:57 rulatir Note Added: 0005912
2021-06-21 11:57 rulatir Status feedback => assigned
2021-06-30 11:30 derick Target Version => 3.1dev
2021-08-18 12:20 derick Status assigned => closed
2021-08-18 12:20 derick Resolution open => fixed
2021-08-18 12:20 derick Note Added: 0005986